## linux-firmware-qcom-rubikpi3 24.04.2

=== debian/changelog ===
linux-firmware-qcom-rubikpi3 (24.04.2-0ubuntu1) noble; urgency=medium

  * Add audio topology file for RUBIK Pi 3 (TANG-193)

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Mon, 08 Sep 2025 14:44:50 +0800

linux-firmware-qcom-rubikpi3 (24.04.1-0ubuntu1) noble; urgency=medium

  * Add bluetooth firmware for BCM43456

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Sat, 26 Jul 2025 18:12:10 +0800

linux-firmware-qcom-rubikpi3 (24.04-0ubuntu1) noble; urgency=medium

  * Initial release

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Fri, 25 Jul 2025 17:39:07 +0800
