=== debian/control ===
Source: linux-firmware-qcom-rubikpi3
Section: misc
Priority: optional
Maintainer: Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper-compat (= 13), zstd
Standards-Version: 4.6.2
Vcs-Git: https://git.launchpad.net/~tangshan-team/tangshan/+git/linux-firmware-qcom-rubikpi3 -b tangshan-noble
Vcs-Browser: https://code.launchpad.net/~tangshan-team/tangshan/+git/linux-firmware-qcom-rubikpi3/+ref/tangshan-noble

Package: linux-firmware-qcom-rubikpi3
Architecture: arm64
Depends: ${misc:Depends}
Description: RUBIK Pi 3 firmware
 This package contains all the proprietary files necessary to boot the
 RUBIK Pi 3 board.
