=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# main packaging script based on dh7 syntax
%:
	dh $@

override_dh_install:
	dh_install
	debian/compress-firmware

override_dh_installdeb:
	dh_installdeb \
		--define DIVERSIONS=@debian/diversions \
		--define COMMON=@debian/$(DEB_SOURCE).common

override_dh_strip:
	# Don't strip anything; it's all pre-built binary blobs and some of
	# it is foreign architecture anyway

# 1.2-9+rpt3
BTCOMMIT:= 78d6a07730e2d20c035899521ab67726dc028e1c
BTFILES := \
	broadcom/BCM4345C5.hcd \
	broadcom/LICENSE.cypress

# 1:20230625-2+rpt2
WIFICOMMIT:= 223ccf3a3ddb11b3ea829749fbbba4d65b380897
WIFIFILES := \
	brcm/brcmfmac43456-sdio.bin \
	brcm/brcmfmac43456-sdio.clm_blob \
	brcm/brcmfmac43456-sdio.txt \

# get-orig-file,output-dir,source-file,repo-url
get-orig-file = mkdir -p $(1)/$(dir $(2)) ; wget -O $(1)/$(2) -- $(3)/$(2) ;

get-orig-source:
	rm -rf bluez nonfree

	set -x; $(foreach file,$(BTFILES),$(call get-orig-file,bluez,$(file),\
		https://github.com/RPi-Distro/bluez-firmware/raw/$(BTCOMMIT)/debian/firmware))
	set -x; $(foreach file,$(WIFIFILES),$(call get-orig-file,nonfree,$(file),\
		https://github.com/RPi-Distro/firmware-nonfree/raw/$(WIFICOMMIT)/debian/config/brcm80211))

	mkdir $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
	tar -czf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
	tar -czf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig-rubikpi3.tar.gz rubikpi3/
	tar -czf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig-bluez.tar.gz bluez/
	tar -czf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig-nonfree.tar.gz nonfree/
	rmdir $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
