=== debian/tests/control ===
# This trivial test simply installs both linux-firmware and
# linux-firmware-qcom-rubikpi3 to check that the diversions of the latter co-exist
# happily with the files of the former

Depends: linux-firmware-qcom-rubikpi3, linux-firmware
Test-Command: echo linux-firmware and linux-firmware-qcom-rubikpi3 co-exist
